Update a vocabulary's configuration - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service returns updates a vocabulary's configuration.

Method Endpoint
PUT
/api/admin/khub/vocabularies/{vocabularyId}
Path parameter Type Description
{vocabularyId} String The unique identifier of the vocabulary to be updated.

It is necessary to provide an Ft-Calling-App value when using Fluid Topics web services. See Fluid Topics calling app.

Request example

{
  "usedInSearch": false,
  "description": "A new description for my vocabulary",
  "mimeType": "application/rdf+xml"
}
Field Type Required? Description
usedInSearch Boolean No Defines whether the search engines uses the vocabulary when indexing content.
description String No The description of the vocabulary. It is only available in the List vocabularies web service response.
mimeType String No A new format of the file containing the terms of the vocabulary.
Return code Description
200 OK The request is valid and the vocabulary was updated.
400 BAD REQUEST The request is invalid.
401 UNAUTHORIZED The authorization header was not provided or is invalid.
403 FORBIDDEN The user not have the ADMIN or KHUB_ADMIN role.
404 NOT FOUND The vocabulary does not exist.

For a list of all possible return codes, see Return codes.